Name:           perl-SQL-Translator
Version:        0.09004
Release:        1%{?dist}
Summary:        Manipulate structured data definitions (SQL and more)
# see, e.g., lib/SQL/Translator.pm
License:        GPLv2
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SQL-Translator/
Source0:        http://www.cpan.org/authors/id/J/JR/JROBINSON/SQL-Translator-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(File::Basename) 
BuildRequires: perl(File::Spec) 
BuildRequires: perl(IO::Dir) 
BuildRequires: perl(IO::File) 
BuildRequires: perl(Pod::Usage) 
BuildRequires: perl(Test::More)                 >= 0.6
#BuildRequires: perl(Text::ParseWords) 
# cpan
BuildRequires:  perl(Class::Accessor::Fast) 
BuildRequires:  perl(Class::Base) 
BuildRequires:  perl(Class::Data::Inheritable)  >= 0.02
BuildRequires:  perl(Class::MakeMethods) 
BuildRequires:  perl(DBI)
BuildRequires:  perl(Digest::SHA1)              >= 2.00
BuildRequires:  perl(GD) 
BuildRequires:  perl(Graph::Directed) 
BuildRequires:  perl(GraphViz) 
BuildRequires:  perl(IO::Scalar) 
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(Module::Build) 
BuildRequires:  perl(Parse::RecDescent)         >= 1.94
# >= 0.2602 avail in FC-5+
BuildRequires:  perl(Spreadsheet::ParseExcel)
BuildRequires:  perl(Template)                  >= 2.1
BuildRequires:  perl(Text::RecordParser)        >= 0.02
BuildRequires:  perl(XML::Writer)               >= 0.5
BuildRequires:  perl(XML::XPath)                >= 1.13
BuildRequires:  perl(YAML)                      >= 0.39
# test
BuildRequires:  perl(Test::Differences) 
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(XML::Parser)

%description
SQL::Translator is a group of Perl modules that converts vendor-specific 
SQL table definitions into other formats, such as other vendor-specific
SQL, ER diagrams, documentation (POD and HTML), XML, and Class::DBI 
classes.  The main focus of SQL::Translator is SQL, but parsers exist 
for other structured data formats, including Excel spreadsheets and 
arbitrarily delimited text files.  Through the separation of the code into 
parsers and producers with an object model in between, it’s possible to 
combine any parser with any producer, to plug in custom parsers or 
producers, or to manipulate the parsed data via the built-in object model.
Presently only the definition parts of SQL are handled (CREATE, ALTER), 
not the manipulation of data (INSERT, UPDATE, DELETE).

%prep
%setup -q -n SQL-Translator-%{version}

find . -type f -exec chmod -c -x {} +
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' t/*.t 

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Producer::BaseTest)/d'
EOF

%define __perl_provides %{_builddir}/SQL-Translator-%{version}/%{name}-prov
chmod +x %{__perl_provides}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(:)/d'
EOF

%define __perl_requires %{_builddir}/SQL-Translator-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS Changes LICENSE README images/ t/
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man[13]/*

%changelog
* Sun Mar 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.09004-1
- update to 0.09004

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09002-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.09002-1
- update to 0.09002

* Sun Sep 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.9001-1
- update to 0.9001
- add new BR: perl(Digest::SHA1) >= 2.00

* Wed Mar 19 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09000-1
- update to 0.09000
- expose more core BR's
- additional br's now required

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.08001-3
Rebuild for new perl

* Wed Oct 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.08001-2
- bump

* Sun Oct 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.08001-1
- updated to 0.08001
- update license tag
- nix errant perl(Producer::BaseTest) provides
- make description useful :)
- we now skip Template::Toolkit tests correctly, so stop disabling them

* Mon May 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- Specfile autogenerated by cpanspec 1.71.
